Bug 1589967 - [RFE] support to drop cache in MDS via `ceph tell`
Summary: [RFE] support to drop cache in MDS via `ceph tell`
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: CephFS
Version: 3.2
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: rc
: 3.2
Assignee: Venky Shankar
QA Contact: Tejas
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1629656
TreeView+ depends on / blocked
 
Reported: 2018-06-11 18:24 UTC by Patrick Donnelly
Modified: 2019-01-03 19:01 UTC (History)
7 users (show)

Fixed In Version: RHEL: ceph-12.2.8-14.el7cp Ubuntu: ceph_12.2.8-12redhat1
Doc Type: Enhancement
Doc Text:
.A new subcommand: `drop_cache` The `ceph tell` command now supports the `drop_cache` subcommand. Use this subcommand to drop Metadata Server (MDS) cache without restarting, trim its journal, and ask clients to drop all capabilities that are not in use.
Clone Of:
Environment:
Last Closed: 2019-01-03 19:01:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 36281 None None None 2018-10-05 22:11:53 UTC
Red Hat Product Errata RHBA-2019:0020 None None None 2019-01-03 19:01:45 UTC

Description Patrick Donnelly 2018-06-11 18:24:53 UTC
This is a tell command which allows the MDS to drop its cache without restarting, trim its journal (so failover does not cause the cache to become warm from reading the journal), and ask clients to drop all caps not in use.

Comment 14 errata-xmlrpc 2019-01-03 19:01:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0020


Note You need to log in before you can comment on or make changes to this bug.